VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::BackupStub Class Reference

Remote stub implementation of the Backup API service. More...

Inherits vmware::appliance::recovery::Backup.

List of all members.

## Public Member Functions
| BackupStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
vmware.appliance.recovery.BackupTypes.ReturnResult | Validate (vmware.appliance.recovery.BackupTypes.BackupRequest piece)
| Check for backup errors without starting backup.
vmware.appliance.recovery.BackupTypes.ReturnResult | Validate (vmware.appliance.recovery.BackupTypes.BackupRequest piece, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Check for backup errors without starting backup.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.BackupTypes.ReturnResult > | ValidateAsync (vmware.appliance.recovery.BackupTypes.BackupRequest piece)
| Check for backup errors without starting backup.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.BackupTypes.ReturnResult > | ValidateAsync (vmware.appliance.recovery.BackupTypes.BackupRequest piece, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Check for backup errors without starting backup.

## Detailed Description

Remote stub implementation of the Backup API service.

## Constructor & Destructor Documentation

vmware::appliance::recovery::BackupStub::BackupStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.appliance.recovery.BackupTypes.ReturnResult vmware::appliance::recovery::BackupStub::Validate | ( | vmware.appliance.recovery.BackupTypes.BackupRequest | piece | ) | `[inline]`

Check for backup errors without starting backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure

Returns:
  ReturnResult Structure

Implements vmware::appliance::recovery::Backup.

vmware.appliance.recovery.BackupTypes.ReturnResult vmware::appliance::recovery::BackupStub::Validate | ( | vmware.appliance.recovery.BackupTypes.BackupRequest | piece,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Check for backup errors without starting backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  ReturnResult Structure

Implements vmware::appliance::recovery::Backup.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.BackupTypes.ReturnResult> vmware::appliance::recovery::BackupStub::ValidateAsync | ( | vmware.appliance.recovery.BackupTypes.BackupRequest | piece | ) | `[inline]`

Check for backup errors without starting backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure

Returns:
  ReturnResult Structure

Implements vmware::appliance::recovery::Backup.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.BackupTypes.ReturnResult> vmware::appliance::recovery::BackupStub::ValidateAsync | ( | vmware.appliance.recovery.BackupTypes.BackupRequest | piece,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Check for backup errors without starting backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  ReturnResult Structure

Implements vmware::appliance::recovery::Backup.

The documentation for this class was generated from the following file:

- BackupStub.cs